Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.register.negotiation
Class SupplyingRequestsContainer

    java.lang.Object
      lbg.peer.register.negotiation.SupplyingRequestsContainer

    public class SupplyingRequestsContainer

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`SupplyingRequestsContainer(java.util.Collection<PeerProfile> srs, int s)`

Method Summary
`int` | `grantedSupplyingRequests(int i)`
`int` | `grantedSuppplyingRequests()`
`void` | `grantSupplyingRequests(int i, int count)` If target requestor has no more remaining Supplying Requests, it is removed from the index of remaining requestors.
`java.util.Iterator<java.lang.Integer>` | `pendingRequestorsIndex()` Returns an Iterator of the index of each pending requestor.
`int` | `pendingSupplyingRequests()`
`int` | `pendingSupplyingRequests(int i)`
`ExternalPeerHandle` | `requestor(int i)`
`PeerProfile[]` | `requestors()`
`int` | `size()`
`java.lang.String` | `toString()`
`int` | `totalSupplyingRequests()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SupplyingRequestsContainer

    public SupplyingRequestsContainer(java.util.Collection<PeerProfile> srs,
                                      int s)
                               throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### size

    public int size()

### requestors

    public PeerProfile[] requestors()

### pendingRequestorsIndex

    public java.util.Iterator<java.lang.Integer> pendingRequestorsIndex()

  Returns an Iterator of the index of each pending requestor.

  Returns:
    pending requestors indexes

### requestor

    public ExternalPeerHandle requestor(int i)
                                 throws GridException

  Throws:
    `GridException`

### pendingSupplyingRequests

    public int pendingSupplyingRequests(int i)
                                 throws GridException

  Throws:
    `GridException`

### grantedSupplyingRequests

    public int grantedSupplyingRequests(int i)
                                 throws GridException

  Throws:
    `GridException`

### grantSupplyingRequests

    public void grantSupplyingRequests(int i,
                                       int count)
                                throws GridException

  If target requestor has no more remaining Supplying Requests, it is removed from the index of remaining requestors.

  Parameters:
    `i` - index of target requestor
  Throws:
    `GridException`

### totalSupplyingRequests

    public int totalSupplyingRequests()

### pendingSupplyingRequests

    public int pendingSupplyingRequests()

### grantedSuppplyingRequests

    public int grantedSuppplyingRequests()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.